KFTC Direct Debit Cancellation List API
When a customer cancels a direct debit mandate at their financial institution or through KFTC (PAYINFO), Hecto Financial processes the cancellation in the Easy Cash Direct Debit system on the next business day before 11:00 AM based on the cancellation request date.
This API is provided to help merchants synchronize their direct debit records with Hecto Financial after cancellations are processed. The list of accounts cancelled on a given day becomes available after 11:00 AM on that day.
Domain Note
This API uses the nspay domain, which differs from other APIs.
API Information
POST/v1/api/acnt/isttunreg/list
Content-Type
application/json; charset=UTF-8테스트
https://tb-nspay.settlebank.co.kr/v1/api/acnt/isttunreg/list운영
https://nspay.settlebank.co.kr/v1/api/acnt/isttunreg/listRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└unregDtAN(8)Alphanumeric, up to 8 bytes*Cancellation date — the date on which the customer's direct debit was cancelled (yyyyMMdd).
Cancellation date — the date on which the customer's direct debit was cancelled (yyyyMMdd).
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + unregDt + reqDt + reqTm + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└unregDtAN(14)Alphanumeric, up to 14 bytes*Cancellation date (yyyyMMdd).
20210830Cancellation date (yyyyMMdd).
└dataCntN(4)Numeric, up to 4 bytes*Number of cancelled accounts.
10Number of cancelled accounts.
└unregAcntRecordsObject List*List of cancelled accounts.
[{"recordMchtCustId":"kimhecto", "recordBankCd":"004"}]List of cancelled accounts.
unregAcntRecords Fields
└recordMchtCustIdAN(100)Alphanumeric, up to 100 bytes*Customer ID.
kimhectoCustomer ID.
└recordBankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
004Bank code.
└recordCustAcntNoAN(15)Alphanumeric, up to 15 bytes*Account number (masked).
234******123Account number (masked).
└recordCustAcntKeyAN(50)Alphanumeric, up to 50 bytes*Account key — serial number of the enrolled direct debit account.
d894kjd93kd9Account key — serial number of the enrolled direct debit account.
└recordUnregDtmAN(14)Alphanumeric, up to 14 bytes*Cancellation datetime (yyyyMMddhhmmss).
20210831080000Cancellation datetime (yyyyMMddhhmmss).
└recordUnregOculsttN(1)Numeric, up to 1 bytes*Institution that initiated the cancellation.
1Institution that initiated the cancellation.
1: Financial institution 2: Service provider cancellation 3: Internet Giro cancellation request 4: Integrated management system└recordUnregDivCdAN(1)Alphanumeric, up to 1 bytes*Cancellation type.
0Cancellation type.
0: Customer request 1: Financial institution unilateral cancellation (e.g. automatic transfer) 2: Financial institution account change 9: Other N: Missing consent data (blank): When recordUnregOculstt is 3Need technical support?
Code Samples
HectoFinancial GitHub